This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 33248 - Entry.Completed calling Editor.Focus() inserts new line to the focused Editor in iOS
Summary: Entry.Completed calling Editor.Focus() inserts new line to the focused Editor...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 1.4.4
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-08-20 04:22 UTC by outring
Modified: 2017-02-01 12:50 UTC (History)
4 users (show)

See Also:
Tags: iOS ac
Is this bug a regression?: ---
Last known good build:


Attachments
Repro project (163.23 KB, application/zip)
2015-11-12 12:26 UTC, E.Z. Hart
Details

Description outring 2015-08-20 04:22:45 UTC
Consider following code:
MyEntry.Completed += (object sender, EventArgs e) => MyEditor.Focus();

When onscreen keyboard return button hit in MyEntry, MyEditor gets focused and new empty line is inserted to MyEditor's text. It's a well known iOS issue, it needs just UITextField.ShouldReturn to return true instead of false.

http://stackoverflow.com/questions/21077842/uitextview-adding-new-line-unintentionally
Comment 1 E.Z. Hart 2015-11-12 12:26:42 UTC
Created attachment 13792 [details]
Repro project
Comment 2 adrianknight89 2016-09-30 05:50:16 UTC
See https://github.com/xamarin/Xamarin.Forms/pull/397
Comment 3 Samantha Houts 2016-12-23 02:57:15 UTC
Should be fixed in 2.3.4-pre2. Thank you!
Comment 4 Parmendra Kumar 2017-02-01 12:50:51 UTC
I have checked this issue with Xamarin.Forms 2.3.4-pre1 and observed that this issue has been fixed.

Hence closing this issue.


Thanks.

Note You need to log in before you can comment on or make changes to this bug.